Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1604554 - libasyncns: FTBFS in Fedora rawhide
Summary: libasyncns: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libasyncns
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS 1551327
TreeView+ depends on / blocked
 
Reported: 2018-07-19 23:16 UTC by Mohan Boddu
Modified: 2018-07-24 22:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-24 22:30:35 UTC


Attachments (Terms of Use)
build.log (deleted)
2018-07-19 23:16 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-19 23:16 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-19 23:16 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 23:16:44 UTC
libasyncns failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28195169


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix libasyncns at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
libasyncns will be orphaned. Before branching of Fedora 30,
libasyncns will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 23:16:50 UTC
Created attachment 1463501 [details]
build.log

Comment 2 Mohan Boddu 2018-07-19 23:16:56 UTC
Created attachment 1463502 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-19 23:16:59 UTC
Created attachment 1463503 [details]
state.log

Comment 4 Igor Gnatenko 2018-07-23 15:22:24 UTC
Matches:
configure: error: no acceptable C compiler found in $PATH

Suggested fix:
BuildRequires:  gcc

Comment 5 Igor Gnatenko 2018-07-24 22:30:35 UTC
There has been at least one successfull build after this bug got created.

libasyncns-0.8-15.fc29: https://koji.fedoraproject.org/koji/buildinfo?buildID=1112703


Note You need to log in before you can comment on or make changes to this bug.